Subject: Re: [bitcoin-dev] Versionbits BIP (009) minor revision proposal.

From: "Eric Lombrozo" <[email-masked]>
Date: Wed, 30 Sep 2015 05:09:51 +0000

>While I would like to get some form of explicit acknowledgment from 
>miners that a new rule is in effect, the truth of the matter is we 
>still lack a means to determine whether or not miners are actually 
>enforcing these rules...unless someone happens to mine a block that 
>breaks the new rule. This is a bit frustrating...but that's just how it 
>is.
>

I should add that hard forks do provide us with a means to determine 
whether or not miners are enforcing the new rules...but generally 
speaking they risk far greater disruption if anything fails to go as 
planned. Between the risk of clients accepting an occasional invalid 
"confirmation" or two and the risk of a total network partition, the 
former seems far less serious. I believe the concerns regarding old 
clients can be remedied to a very large extent by means of a good 
awareness campaign.

- Eric